> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Conversations

> List conversations with summary metadata for the review table.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/admin/chat/conversations
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/chat/conversations:
    get:
      tags:
        - admin:chat
      summary: List Conversations
      description: List conversations with summary metadata for the review table.
      operationId: list_conversations_api_v1_admin_chat_conversations_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 25
            title: Page Size
        - name: locale
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Locale
        - name: has_refusal
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Has Refusal
        - name: since
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Since
        - name: until
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Until
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_list_ConversationSummary__'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_list_ConversationSummary__:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/ConversationSummary'
              type: array
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[list[ConversationSummary]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConversationSummary:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        locale:
          type: string
          title: Locale
        user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: User Id
        session_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Id
        started_at:
          type: string
          format: date-time
          title: Started At
        ended_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Ended At
        source_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Url
        message_count:
          type: integer
          title: Message Count
        last_safety_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Safety Label
        has_refusal:
          type: boolean
          title: Has Refusal
        total_cost_cents:
          type: integer
          title: Total Cost Cents
        avg_rating:
          anyOf:
            - type: number
            - type: 'null'
          title: Avg Rating
      type: object
      required:
        - id
        - locale
        - user_id
        - session_id
        - started_at
        - ended_at
        - source_url
        - message_count
        - last_safety_label
        - has_refusal
        - total_cost_cents
        - avg_rating
      title: ConversationSummary
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````